%global major 2
%define libname %mklibname fdk-aac %major
%define devname %mklibname -d fdk-aac
Name:           fdk-aac-free
Version:        2.0.0
Release:        %mkrel 1
Summary:        Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android
Group:          System/Servers

License:        FDK-AAC
URL:            https://cgit.freedesktop.org/~wtay/fdk-aac/log/?h=fedora
Source0:        https://people.freedesktop.org/~wtay/fdk-aac-free-%{version}.tar.gz

BuildRequires:  gcc gcc-c++
BuildRequires:  automake libtool
BuildRequires: make

%description
The Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library
for Android is software that implements part of the MPEG Advanced Audio Coding
("AAC") encoding and decoding scheme for digital audio.


%package        -n %libname
Summary:        Library for %{name}

%description    -n %libname
The Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library
for Android is software that implements part of the MPEG Advanced Audio Coding
("AAC") encoding and decoding scheme for digital audio.

%package        -n %devname
Summary:        Development files for %{name}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup
autoreconf -vif

%build
%configure \
  --disable-silent-rules \
  --disable-static

%make_build


%install
%make_install INSTALL="install -p"
find %{buildroot} -name '*.la' -print -delete


%files -n %libname
%doc ChangeLog README.fedora
%license NOTICE
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.0.0

%files -n %devname
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/fdk-aac.pc




%changelog
* Sun Sep 25 2022 tv <tv> 2.0.0-1.mga9
+ Revision: 1892326
- imported package fdk-aac-free

